﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using Syncfusion.SfKanban.XForms;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace GettingStartedKanban
{
	public partial class MainPage : ContentPage
	{
        KanbanModel kanbanModel = new KanbanModel()
        {
            ID = 1,
            Title = "iOS - 9791",
            ImageURL = "Image1.png",
            Category = "Open",
            Description = "Requirements",
            ColorKey = "Red",
            Tags = new string[] { "Incident", "Customer" }
        };


        public MainPage()
		{
			InitializeComponent();

            column1.Categories = new List<object>() { "Open" };
            column2.Categories = new List<object>() { "In Progress" };
            column3.Categories = new List<object>() { "Code Review" };
            column4.Categories = new List<object>() { "Closed" };
        }


        void Add_Card(object sender, System.EventArgs e)
        {
            (kanban.BindingContext as ViewModel).Cards.Add(kanbanModel);

        }

        void Remove_Card(object sender, System.EventArgs e)
        {
            (kanban.BindingContext as ViewModel).Cards.Remove(kanbanModel);
        }

        void Remove_Clicked(object sender, System.EventArgs e)
        {
            stackLayout.Children.Remove(kanban);
        }

        void Add_Clicked(object sender, System.EventArgs e)
        {
            stackLayout.Children.Add(kanban);
        }
    }

    public class ViewModel
    {
        public ObservableCollection<KanbanModel> Cards { get; set; }

        public ViewModel()
        {
            Cards = new ObservableCollection<KanbanModel>();

            Cards.Add(new KanbanModel()
            {
                ID = 1,
                Title = "iOS - 1002",
                ImageURL = "Image1.png",
                Category = "Open",
                Description = "Analyze customer requirements",
                ColorKey = "Red",
                Tags = new string[] { "Incident", "Customer" }
            });

            Cards.Add(new KanbanModel()
            {
                ID = 6,
                Title = "Xamarin - 4576",
                ImageURL = "Image2.png",
                Category = "Open",
                Description = "Show the retrieved data from the server in grid control",
                ColorKey = "Green",
                Tags = new string[] { "Story", "Customer" }
            });

            Cards.Add(new KanbanModel()
            {
                ID = 13,
                Title = "UWP - 13",
                ImageURL = "Image4.png",
                Category = "In Progress",
                Description = "Add responsive support to application",
                ColorKey = "Brown",
                Tags = new string[] { "Story", "Customer" }
            });

            Cards.Add(new KanbanModel()
            {
                ID = 2543,
                Title = "Xamarin_iOS - 2543",
                Category = "Code Review",
                ImageURL = "Image3.png",
                Description = "Check login page validation",
                ColorKey = "Brown",
                Tags = new string[] { "Story", "Customer" }
            });

        }

    }
}
